#ifndef LMX2306_H
#define LMX2306_H

//-------------------------------------------------------------
#define PLL_FreqOSC 4000 // in kHz
#define PLL_FreqBand 40190 // in kHz   40645-455=40190         40665
#define PLL_FreqStep 5 // in kHz   // 10
#define PLL_CountChannel (370/5)       // 32
#define PLL_OffDisplNCh 61
//-------------------------------------------------------------
#define PLL_DATA1 PORTD|=0b01000000  // PORTG.3=1
#define PLL_DATA0 PORTD&=0b10111111  // PORTG.3=0
#define PLL_CLOCK1 PORTD|=0b00100000 //PORTG.4=1
#define PLL_CLOCK0 PORTD&=0b11011111 //PORTG.4=0
#define PLL_LE PORTD.7
//-------------------------------------------------------------
void PLL_send(unsigned long data, unsigned char cn);
void PLL_SetFreq(unsigned int num_freq);
unsigned int PLL_GetFreq(unsigned int num_freq);

#endif
