/*****************************************************
This program was produced by the
CodeWizardAVR V2.04.4a Advanced
Automatic Program Generator
 Copyright 1998-2009 Pavel Haiduc, HP InfoTech s.r.l.
http://www.hpinfotech.com

Project : 
Version : 
Date    : 22.02.2010
Author  : NeVaDa
Company :  
Comments: 


Chip type               : ATmega8
Program type            : Application
AVR Core Clock frequency: 8,000000 MHz
Memory model            : Small
External RAM size       : 0
Data Stack size         : 256
*****************************************************/

#include <mega8.h>
#include <stdio.h>
#include <delay.h>


#include <LMX2306.c>
#include <LMX2306.h>
//#include <N1110.lib>
#include <1100.h>


#define LEFT !PINC.3
#define RIGHT !PINC.4
#define DOWN !PINC.5

unsigned char Sound;   //     0 -    1- 
unsigned char Screen;  //   0 -   1 - 
unsigned char Pointer; //      -  
unsigned char L, LL; //     
unsigned char i;
unsigned char c0,c1,c2,c3,c4;
//char n=0;
unsigned int a = 0;
unsigned int K = 0;
unsigned int U, U1, M ;
unsigned int  kanal_n;




void bcd(unsigned int s) //   5-     5      
{
c4=0;c3=0;c2=0;c1=0;
while (s>=10000){s-=10000;c4++;}
while (s>=1000){s-=1000;c3++;}
while (s>=100){s-=100;c2++;}
while (s>=10){s-=10;c1++;}
c0=s;
}

void print_kanal(void)
{
// kanal_f     kanal_n
unsigned int AAA;


   AAA=PLL_GetFreq(Pointer);    
   AAA+=455 ;
   switch (AAA)
   
   {
    case 40665:  kanal_n=50; break;
    case 40675:  kanal_n=51; break;
    case 40685:  kanal_n=52; break;
    case 40695:  kanal_n=53; break;
    case 40715:  kanal_n=54; break;
    case 40725:  kanal_n=55; break;
    case 40735:  kanal_n=56; break;
    case 40765:  kanal_n=57; break;
    case 40775:  kanal_n=58; break;
    case 40785:  kanal_n=59; break;
    case 40815:  kanal_n=81; break;
    case 40825:  kanal_n=82; break;
    case 40835:  kanal_n=83; break;
    case 40865:  kanal_n=84; break;
    case 40875:  kanal_n=85; break;
    case 40885:  kanal_n=86; break;
    case 40915:  kanal_n=87; break;
    case 40925:  kanal_n=88; break;
    case 40935:  kanal_n=89; break;
    case 40965:  kanal_n=90; break;
    case 40975:  kanal_n=91; break;
    case 40985:  kanal_n=92; break;
    default:  kanal_n=0;
       
    
    };
}



// Timer 0 overflow interrupt service routine
interrupt [TIM0_OVF] void timer0_ovf_isr(void)
{
// Place your code here

}

// Timer1 overflow interrupt service routine
interrupt [TIM1_OVF] void timer1_ovf_isr(void)
{
// Place your code here

}

// Timer1 output compare A interrupt service routine
interrupt [TIM1_COMPA] void timer1_compa_isr(void)
{
// Place your code here
TCNT1=0;
if (Sound) PORTB.2=!PORTB.2;
else PORTB.2=0;
}

// Timer1 output compare B interrupt service routine
interrupt [TIM1_COMPB] void timer1_compb_isr(void)
{
// Place your code here

}

// Timer2 overflow interrupt service routine
interrupt [TIM2_OVF] void timer2_ovf_isr(void)
{
// Place your code here

}

// Timer2 output compare interrupt service routine
interrupt [TIM2_COMP] void timer2_comp_isr(void)
{
// Place your code here

}

#define ADC_VREF_TYPE 0xE0

// Read the 8 most significant bits
// of the AD conversion result
unsigned char read_adc(unsigned char adc_input)
{
ADMUX=adc_input | (ADC_VREF_TYPE & 0xff);
// Delay needed for the stabilization of the ADC input voltage
delay_us(10);
// Start the AD conversion
ADCSRA|=0x40;
// Wait for the AD conversion to complete
while ((ADCSRA & 0x10)==0);
ADCSRA|=0x10;
return ADCH;
}

// Declare your global variables here

void main(void)
{
// Declare your local variables here

// Input/Output Ports initialization
// Port B initialization
// Func7=In Func6=In Func5=In Func4=In Func3=In Func2=Out Func1=In Func0=In 
// State7=P State6=P State5=P State4=P State3=P State2=0 State1=P State0=P 
PORTB=0xFB;
DDRB=0x04;

// Port C initialization
// Func6=In Func5=In Func4=In Func3=In Func2=In Func1=In Func0=In 
// State6=P State5=P State4=P State3=P State2=P State1=T State0=T 
PORTC=0x7C;
DDRC=0x00;

// Port D initialization
// Func7=Out Func6=Out Func5=Out Func4=In Func3=Out Func2=Out Func1=Out Func0=Out 
// State7=0 State6=0 State5=0 State4=P State3=0 State2=0 State1=0 State0=0 
PORTD=0x10;
DDRD=0xEF;

// Timer/Counter 0 initialization
// Clock source: System Clock
// Clock value: Timer 0 Stopped
TCCR0=0x00;
TCNT0=0x00;

// Timer/Counter 1 initialization
// Clock source: System Clock
// Clock value: Timer1 Stopped
// Mode: Normal top=FFFFh
// OC1A output: Discon.
// OC1B output: Discon.
// Noise Canceler: Off
// Input Capture on Falling Edge
// Timer1 Overflow Interrupt: On
// Input Capture Interrupt: Off
// Compare A Match Interrupt: On
// Compare B Match Interrupt: On
TCCR1A=0x00;
TCCR1B=0x02;
TCNT1H=0x00;
TCNT1L=0x00;
ICR1H=0x00;
ICR1L=0x00;
OCR1AH=0x00;
OCR1AL=0x00;
OCR1BH=0x00;
OCR1BL=0x00;

// Timer/Counter 2 initialization
// Clock source: System Clock
// Clock value: Timer2 Stopped
// Mode: Normal top=FFh
// OC2 output: Disconnected
ASSR=0x00;
TCCR2=0x00;
TCNT2=0x00;
OCR2=0x00;

// External Interrupt(s) initialization
// INT0: Off
// INT1: Off
MCUCR=0x00;

// Timer(s)/Counter(s) Interrupt(s) initialization
TIMSK=0xDD;

// Analog Comparator initialization
// Analog Comparator: Off
// Analog Comparator Input Capture by Timer/Counter 1: Off
ACSR=0x80;
SFIOR=0x00;

// ADC initialization
// ADC Clock frequency: 1000,000 kHz
// ADC Voltage Reference: Int., cap. on AREF
// Only the 8 most significant bits of
// the AD conversion result are used
ADMUX=ADC_VREF_TYPE & 0xff;
ADCSRA=0x83;

// Global enable interrupts
#asm("sei")

delay_ms(500);

LCD_init();
//LCD_clear();

PLL_SetFreq(0); //  40190 kHz + 455 =  40645

//OSCCAL=255;

gotoxy(0,6);
print_message("50");
gotoxy(84,6);
print_message("95");
      /*
      gotoxy(19,6);
      print_message("F=");   //  40645     kHz  
          
          a=PLL_GetFreq(K);
          bcd(a+455);
          //gotoxy(37,6);
          print_char(48+c4);
          print_char(48+c3);
          print_char(48+c2);     
          print_char(48+c1);
          print_char(48+c0);
          print_message("kHz");
          */




      // Place your code here
      
 i=2;  //         1
                
Screen=0;                
K=0;
Pointer=44;
     
          while (1)
          {
          
              /*
          
              if (RIGHT) 
                {
                if (K<(369/5)) K=K+1; PLL_SetFreq(K);
                gotoxy(19,6);
              print_message("F=");   //  40645     kHz
              a=PLL_GetFreq(K);
              bcd(a+455);
              //gotoxy(37,6);
              print_char(48+c4);
              print_char(48+c3);
              print_char(48+c2);     
              print_char(48+c1);
              print_char(48+c0);
              print_message("kHz");
              //PORTD.5=1;
              delay_ms(300);
              //PORTD.5=0;
                }
              if (LEFT) 
                {
                if (K>5) K=K-1; PLL_SetFreq(K);
                gotoxy(19,6);
              print_message("F=");   //  40645     kHz
              a=PLL_GetFreq(K);
              bcd(a+455);
              //gotoxy(37,6);
              print_char(48+c4);
              print_char(48+c3);
              print_char(48+c2);     
              print_char(48+c1);
              print_char(48+c0);
              print_message("kHz");
              //PORTD.5=1;
              
              
              
              
              
              delay_ms(300);
              //PORTD.5=0;
                }
              //PLL_SetFreq(K);
               //U=255;
              U=read_adc(0);
              bcd(U);
              gotoxy(10,7);
              print_char(48+c2);     
              print_char(48+c1);
              print_char(48+c0);
              
              
              delay_ms(300);
              
              */
              /*
              gotoxy(19,6);
              print_message("F=");   //  40645     kHz
              a=PLL_GetFreq(K);
              bcd(a);
              //gotoxy(37,6);
              print_char(48+c4);
              print_char(48+c3);
              print_char(48+c2);     
              print_char(48+c1);
              print_char(48+c0);
              print_message("kHz");
              delay_ms(300);
              */
              
              //while (1) {;}
              
              /*
                0  - 163
                100  - 9
                110  - 0
               
               
                 :
               
                   40755   60 
                   40755      U
                 
                  :
                                                40645
                   40705    - (455 + 40190)    / 5 =  12 = K
                 0,5 
                   40755        K=22
                 T==0,1 
                 U
                 U  T   1 
                 U == Umax  ,   T=T-0.01 
                 T=T+0.01 
                 
              
              */
                
                //     -  !
                /*
                for (K=0;K<32;K++)
                            {
                            //PLL_SetFreq(K);
                            for (j=0;j<i;j++)  delay_ms(10);
                                    
                            //U=read_adc(0);
                            U=K*5;
                            LL=U/5;
                            if (LL>31) LL=31;
                            
                            L=31-LL;
                            //  LCD_line ( char x1, char y1, char x2, char y2, char mode );
                            
                            LCD_line(K,0,K,L,0);     //  
                            LCD_line(K,L+1,K,31,1);  //  
              
                            LCD_refresh();
                                delay_ms(800);
                            }
              
                 */
              
              
              
              
               /*
               if (DOWN)    //  
                {
                gotoxy(0,7);
                print_message("Calibr");
                i=10;
                K=22;
                PLL_SetFreq(K);
                delay_ms(1000);
                U=read_adc(0);
                bcd(U);
                gotoxy(50,7);
                print_char(48+c2);     
                print_char(48+c1);
                print_char(48+c0);
                
                while (DOWN) delay_ms(1000);
                
                while (1)
                    {
                    
                    //delay_ms(1000);
                    while (1)
                        {
                        K=12;
                        PLL_SetFreq(K);
                        delay_ms(500);
                        K=22;
                        PLL_SetFreq(K);
                        for (j=0;j<i;j++)
                            {
                            delay_ms(10);
                            
                            }
                            
                        U=read_adc(0);    
                        bcd(U);
                        //gotoxy(0,0);
                        char_12_16(c2, 0, 0);
                        char_12_16(c1, 20, 0);
                        char_12_16(c0, 40, 0);
                        
                        bcd(i);
                        //gotoxy(0,0);
                        char_12_16(c2, 0, 3);
                        char_12_16(c1, 20, 3);
                        char_12_16(c0, 40, 3);
                        
                        if (LEFT)  if (i>2 ) { i--;  }  // delay_ms(300);
                        if (RIGHT)  if (i<100 ) { i++;  }  // delay_ms(300);
                        
                        
                        }
                    }
                }
                
                */
                
                
                
                /*
                 :
       
                     
                   
                    U    
                      :
                      - ,     -  
                    
                    ..   
                        
                     
                   
                   
                    4   -   ( 32    )
                     2   
                    - 
                     LL=U/5   LL>32  LL=32
                     L=32-LL
                   
                   
                */
                
                //  
                
               
                
                    while (Screen==0)
                        {
                        //LCD_clear();
                          gotoxy(0,6);
                          print_message("50");
                          gotoxy(84,6);
                          print_message("95"); 
                        
                        
                        while (DOWN) delay_ms(100);
                        LCD_line(0,32,95,32,1);
                        LCD_line(0,33,95,33,1);
                        
                        
                        
                        
                        
                        gotoxy(20,7);
                        print_message("F=");   //  40645     kHz 
                        a=PLL_GetFreq(Pointer);
                        bcd(a+455);
                        print_char(48+c4);
                        print_char(48+c3);
                        print_char(48+c2);     
                        print_char(48+c1);
                        print_char(48+c0);
                        print_message("kHz");
                        
                        print_kanal();
                        bcd(kanal_n);
                        gotoxy(36,6);
                        if ( kanal_n > 0 )
                            {
                            print_char(48+c1);
                            print_char(48+c0); print_message(" K");
                            }
                        else print_message("    ");    
                         
                        
                        for (K=0;K<96;K++)
                            {
                            PLL_SetFreq(K);
                            //for (j=0;j<i;j++)  
                            delay_ms(5);
                                    
                            U=read_adc(0);
                            U+=read_adc(0);
                            U+=read_adc(0);
                            U+=read_adc(0);
                            LL=U/20;             // 20
                            if (LL>31) LL=31;
                            
                            L=31-LL;
                            //  LCD_line ( char x1, char y1, char x2, char y2, char mode );
                            
                            LCD_line(K,0,K,L,0);     //  
                            LCD_line(K,L+1,K,31,1);  //  
                            
                            //  
                            if (K)
                                {
                                LCD_line(K-1,34,K-1,39,0);     //  
                                LCD_line(K,34,K,39,1);  //  
                                if (K<95) LCD_line(K+1,34,K+1,39,1);  //  
                                }
                            else
                                {
                                LCD_line(95,34,95,39,0);     //  
                                LCD_line(K,34,K,39,1);  //  
                                LCD_line(K+1,34,K+1,39,1);  //  
                                }
                            LCD_pixel(Pointer,34,1);                  //  
                            LCD_line(Pointer-1,35,Pointer+1,35,1);
                            LCD_line(Pointer-2,36,Pointer+2,36,1);
                            LCD_refresh();
                            
                            if (LEFT)
                                {
                                LCD_pixel(Pointer,34,0);                  //  
                                LCD_line(Pointer-1,35,Pointer+1,35,0);
                                LCD_line(Pointer-2,36,Pointer+2,36,0);
                                
                                if (Pointer>2) Pointer--;
                                LCD_pixel(Pointer,34,1);                  //  
                                LCD_line(Pointer-1,35,Pointer+1,35,1);
                                LCD_line(Pointer-2,36,Pointer+2,36,1);
                                
                                LCD_refresh();
                                gotoxy(20,7);
                                print_message("F=");   //  40645     kHz 
                                a=PLL_GetFreq(Pointer);
                                  bcd(a+455);
                                  //gotoxy(37,6);
                                  print_char(48+c4);
                                  print_char(48+c3);
                                  print_char(48+c2);     
                                  print_char(48+c1);
                                  print_char(48+c0);
                                  print_message("kHz");
                                  
                                print_kanal();
                                bcd(kanal_n);
                                gotoxy(36,6);
                                if ( kanal_n > 0 )
                                    {
                                    print_char(48+c1);
                                    print_char(48+c0); print_message(" K");
                                    }
                                else print_message("    ");  
                                  
                                  
                                delay_ms(200);
                                }
                            
                            if (RIGHT)
                                {
                                LCD_pixel(Pointer,34,0);                   //  
                                LCD_line(Pointer-1,35,Pointer+1,35,0);
                                LCD_line(Pointer-2,36,Pointer+2,36,0);
                                
                                if (Pointer<93) Pointer++;
                                LCD_pixel(Pointer,34,1);                    //  
                                LCD_line(Pointer-1,35,Pointer+1,35,1);
                                LCD_line(Pointer-2,36,Pointer+2,36,1);
                                
                                LCD_refresh();
                                
                                gotoxy(20,7);
                                print_message("F=");   //  40645     kHz 
                                a=PLL_GetFreq(Pointer);
                                  bcd(a+455);
                                  //gotoxy(37,6);
                                  print_char(48+c4);
                                  print_char(48+c3);
                                  print_char(48+c2);     
                                  print_char(48+c1);
                                  print_char(48+c0);
                                  print_message("kHz");
                                
                                print_kanal();
                                bcd(kanal_n);
                                gotoxy(36,6);
                                if ( kanal_n > 0 )
                                    {
                                    print_char(48+c1);
                                    print_char(48+c0); print_message(" K");
                                    }
                                else print_message("    "); 
                                  
                                delay_ms(200);
                                }
                            if (DOWN) break;
                             
                            }
                        
                        
                        LCD_refresh();
                        gotoxy(20,7);
                        print_message("F=");   //  40645     kHz 
                        a=PLL_GetFreq(Pointer);
                          bcd(a+455);
                          //gotoxy(37,6);
                          print_char(48+c4);
                          print_char(48+c3);
                          print_char(48+c2);     
                          print_char(48+c1);
                          print_char(48+c0);
                          print_message("kHz");
                          
                        print_kanal();
                        bcd(kanal_n);
                        gotoxy(36,6);
                        if ( kanal_n > 0 )
                            {
                            print_char(48+c1);
                            print_char(48+c0); print_message(" K");
                            }
                        else print_message("    ");  
                        
                        if (DOWN) {Screen=1; LCD_clear(); PLL_SetFreq(Pointer); delay_ms(100);}
                            
                        
                        }
                    
                       //   
                    // while (DOWN) { delay_ms(100);  LCD_clear(); }
                        while (Screen)          
                            {
                            //LCD_clear();
                            while (DOWN) delay_ms(100);
                            //PLL_SetFreq(Pointer);
                            //delay_ms(100);    
                            U=read_adc(0);
                            U+=read_adc(0);
                            U+=read_adc(0);
                            U+=read_adc(0);
                            U>>=2;
                            U1=U;
                            bcd(U);
                            char_24_32(c2,10, 0);     //  
                            char_24_32(c1,36, 0);
                            char_24_32(c0,62, 0); 
                            
                            
                            if (LEFT)
                                {
                                if (Pointer>1) Pointer--;
                                PLL_SetFreq(Pointer);
                                //delay_ms(100);
                                }
                            
                            if (RIGHT)
                                {
                                if (Pointer<95) Pointer++;
                                PLL_SetFreq(Pointer);
                                }
                            

                            a=PLL_GetFreq(Pointer);
                            bcd(a+455);
                            
                            char_12_16(c4,13,5);      //  
                            char_12_16(c3,27,5);
                            char_12_16(c2,41,5);
                            char_12_16(c1,55,5);
                            char_12_16(c0,69,5);
                            
                            
                            
                            
                            if (Sound)      // Sound
                                {
                                M = 500 - (375*U1/200)   ;
                                OCR1A=M;
                                }
                            delay_ms(300);
                                                          
                            if (DOWN) 
                                {
                                delay_ms(1500); 
                                if (DOWN)
                                    { 
                                    if ( Sound==1 ) Sound =0;
                                    else Sound =1;
                                    }
                                else  { Screen=0; Sound =0; PORTB.2=0; LCD_clear(); }
                                }
                            
                            }
                
                    
                
                
                
                
                
                
                
                
                
                
          
          }
          

      
      
}

